<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>Simple Example of dynamically add and remove Tinymce 3</title>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" type="text/css" media="all">
	<script type="text/javascript" charset="utf8" src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.8.1.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/tinymce/3.5.8/tiny_mce.js"></script>
</head>
<body>
	<div class="container" style="height:600px; scroll:true">
		<div class="col-sm-12">
			<h1>Simple Example of dynamically add and remove Tinymce 3</h1>

			<div class="row well"><a class="add-type btn btn-primary pull-right" href="javascript: void(0)" tiitle="Click to add more"><i class="glyphicon glyphicon-plus-sign"></i> Add More TextArea</a>
			</div>
			<div id="type_container">
				<div class="row form-group" id="edit-0">
					<div class="col-md-2 control-label">
						<label for="username" class="control-label">
							Description :
						</label>
					</div>
					<div class="col-md-8">
						<textarea class="tinymce-enabled-message" cols="80" id="description1">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam tincidunt est ac dolor condimentum vitae laoreet ante accumsan. Nullam tincidunt tincidunt ante tempus commodo.</textarea>
					</div>
					<div class="col-md-2 control-label"><a class="toggle-tinymce pull-right btn btn-info" href="javascript: void(0)" title="On/Off Editor">Off</a></div>
				</div>
			</div>
		</div>
		<div id="type-container" class="hide">
			<div class="row form-group type-row" id="">
				<div class="col-md-2 control-label">
					<label for="username" class="control-label">
						Description :
					</label>
				</div>
				<div class="col-md-9">
					<textarea class="tinymce-enabled-message-new" cols="80" id="">Duis rutrum, magna non lacinia tincidunt, risus lacus tempus ipsum, sit amet euismod justo metus ut metus. Donec feugiat urna non leo laoreet in tincidunt lectus gravida.</textarea>
				</div>
				<div class="col-md-1 control-label"><a class="remove-type pull-right" targetDiv="" data-id="0" href="javascript: void(0)"><i class="glyphicon glyphicon-trash"></i></a></div>

			</div>
		</div>
	</div>
</body>
<script type="text/javascript">
	$(document ).ready(function() {
		function applyMCE() {
			tinyMCE.init({
				mode : "textareas",
				theme : "simple",
				editor_selector : "tinymce-enabled-message" 				 
			});        
		}
		function AddRemoveTinyMce(editorId) {
			if(tinyMCE.getInstanceById(editorId)) 
			{
				tinyMCE.execCommand('mceFocus', false, editorId);                    
				tinyMCE.execCommand('mceRemoveControl', false, editorId);

			} else {
				tinyMCE.execCommand('mceAddControl', false, editorId);					
			}
		}
		applyMCE();
		$('a.toggle-tinymce').die('click').live('click', function(e) {
			AddRemoveTinyMce('description1');
			var lbl = $(this).text() == 'Off' ? 'On' : 'Off';
			$(this).text(lbl);


		});
		$('a.add-type').die('click').live('click', function(e) {
			e.preventDefault(); 
			var content = jQuery('#type-container .type-row'),
			element = null;
			for(var i = 0; i<1; i++){
				element = content.clone();
				var divId = 'id_'+jQuery.now();
				element.attr('id', divId);
				element.find('.remove-type').attr('targetDiv', divId);
				element.find('.tinymce-enabled-message-new').attr('id', 'txt_'+divId);
				element.appendTo('#type_container');
				AddRemoveTinyMce('txt_'+divId);

			}
		});

		jQuery(".remove-type").die('click').live('click', function (e) {
			var didConfirm = confirm("Are you sure You want to delete");
			if (didConfirm == true) {
				var id = jQuery(this).attr('data-id');
				var targetDiv = jQuery(this).attr('targetDiv');
				jQuery('#' + targetDiv).remove();
				// }
				return true;
				} else {
					return false;
				}
			});
	});
</script>
</html>
